Bug 342601 - multiarch conflicts in mhash
multiarch conflicts in mhash
Product: Fedora
Classification: Fedora
Component: mhash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 17:51 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-23 09:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:51:04 EDT
mhash (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/include/mutils/mhash_config.h from install of mhash-devel-0.9.9-3 conflicts with file from package mhash-devel-0.9.9-3

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Michael Schwendt 2007-10-20 07:09:46 EDT
The difference is this:


How are we supposed to work around that?

When the package is built on i386, the AC_CHECK_SIZEOF test
obviously gives a different result than on x86_64, and vice versa.
What would be needed is a way for i386 to predict the size of types
on x86_64 and vice versa, so for instance, the i386 build would
define the x86_64 API #if defined(__x86_64__).
Similarly for other architectures.

I'm sure you don't want us to hardcode sizeof values for known
Comment 2 Bill Nottingham 2007-10-22 16:04:30 EDT
Well, it has been done before.

More specifically, what is this define used for? Is it used by downstream mhash
apps? Shouldn't it be sizeof(unsigned long)? (don't know if that works in the
context where it's used.)
Comment 3 Michael Schwendt 2007-10-23 09:23:28 EDT
The API uses <stdint.h>, so these sizeof values are not used
at all.

Note You need to log in before you can comment on or make changes to this bug.